Std Refresh: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Std_DuplicateSelection now has an icon)
Line 7: Line 7:
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconL=Std_DuplicateSelection.svg
|IconR=Std_BoxSelection.svg
|IconR=Std_BoxSelection.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
Line 71: Line 71:
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=
|IconL=Std_DuplicateSelection.svg
|IconR=Std_BoxSelection.svg
|IconR=Std_BoxSelection.svg
|IconC=Freecad.svg
|IconC=Freecad.svg

Revision as of 10:42, 14 November 2020

Std Refresh

Menu location
Edit → Refresh
Workbenches
All
Default shortcut
F5
Introduced in version
-
See also
None

Description

The Std Refresh command recomputes the active document. The command is disabled if the document does not require a recompute.

Usage

  1. There are several ways to invoke the command:
    • Press the Std Refresh button.
    • Select the Edit → Refresh option from the menu.
    • Use the keyboard shortcut: F5.

Options

  • To force a recompute select the document or one or more objects in the Tree view, choose the Mark to recompute option from the context menu, and invoke the command.
  • For objects, but not for documents, you can also choose Recompute object from the same context menu (introduced in version 0.19).

Notes

Limitations

  • When using the Spreadsheet Workbench, when updating a spreadsheet it auto-triggers a recompute. The longer this recompute takes the longer the lag will be. One can elect to 'skip recomputes' (by right-clicking document name in the tree view) in cases where multiple changes are necessary to be made to the spreadsheet, and then re-enabled afterwards to reduce the number of recomputes required.

Scripting

See also: FreeCAD Scripting Basics.

To recompute a document use the recompute method of the document object.

import FreeCAD

doc = FreeCAD.newDocument()
doc.recompute()